---
title: Selection.selectAllChildren()
slug: Web/API/Selection/selectAllChildren
tags:
  - API
  - Experimental
  - HTML Editing
  - Method
  - Reference
  - Selection
---
<div>{{ ApiRef("DOM") }}{{SeeCompatTable}}</div>

<p>The <strong><code>Selection.selectAllChildren()</code></strong> method adds all the children of the specified node to the selection. Previous selection is lost.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>sel</em>.selectAllChildren(<em>parentNode</em>)
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>parentNode</code></dt>
 <dd>All children of <code>parentNode</code> will be selected. <code>parentNode</code> itself is not part of the selection.</dd>
</dl>

<h2 id="Example">Example</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;main&gt;
  &lt;button&gt;Select Footer&lt;/button&gt;
  &lt;p&gt;Welcome to my website.&lt;/p&gt;
  &lt;p&gt;I hope you enjoy your visit.&lt;/p&gt;
&lt;/main&gt;
&lt;footer&gt;
  &lt;address&gt;webmaster@example.com&lt;/address&gt;
  &lt;p&gt;© 2019&lt;/p&gt;
&lt;/footer&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">const button = document.querySelector('button');
const footer = document.querySelector('footer');

button.addEventListener('click', (e) =&gt; {
  window.getSelection().selectAllChildren(footer);
});</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example", 700, 200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Selection API', '#dom-selection-selectallchildren', 'Selection.selectAllChildren()')}}</td>
   <td>{{Spec2('Selection API')}}</td>
   <td>Current definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Selection.selectAllChildren")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Selection")}}, the interface it belongs to.</li>
</ul>
